cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/invoices/INV-0001/payments?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.payments.get_invoice_payments("INV-0001", {"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.payments.getInvoicePayments('INV-0001', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->payments->getInvoicePayments('INV-0001', ['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.payments.payments_dto.PaymentsDto.PaymentList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PaymentList> response = client.payments().getInvoicePayments(
"INV-0001",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Payments.GetInvoicePaymentsAsync(
"INV-0001",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.payments.getInvoicePayments(
'INV-0001',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Payments().GetInvoicePayments(context.Background(), "INV-0001", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_applied": [
{
"amount": "<string>",
"code": "<string>"
}
],
"gift_certificate_applied": [
{
"amount": "<string>",
"code": "<string>"
}
],
"id": "<string>",
"invoices": [
{
"applied": "<string>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"outstanding": "<string>",
"total": "<string>"
}
],
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"origin": "<string>",
"payment_applied": [
{
"amount": "<string>",
"gateway_response": "<unknown>",
"method": "<string>",
"processor": "<string>",
"reference": "<string>"
}
],
"payment_note": "<string>",
"reconcile_status": "<string>",
"status": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Payments
List an invoice's payments
Returns one page of the payments made against an invoice.
GET
/
invoices
/
{invoice_id}
/
payments
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/invoices/INV-0001/payments?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.payments.get_invoice_payments("INV-0001", {"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.payments.getInvoicePayments('INV-0001', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->payments->getInvoicePayments('INV-0001', ['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.payments.payments_dto.PaymentsDto.PaymentList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PaymentList> response = client.payments().getInvoicePayments(
"INV-0001",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Payments.GetInvoicePaymentsAsync(
"INV-0001",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.payments.getInvoicePayments(
'INV-0001',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Payments().GetInvoicePayments(context.Background(), "INV-0001", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"credit_applied": [
{
"amount": "<string>",
"code": "<string>"
}
],
"gift_certificate_applied": [
{
"amount": "<string>",
"code": "<string>"
}
],
"id": "<string>",
"invoices": [
{
"applied": "<string>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"outstanding": "<string>",
"total": "<string>"
}
],
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"origin": "<string>",
"payment_applied": [
{
"amount": "<string>",
"gateway_response": "<unknown>",
"method": "<string>",
"processor": "<string>",
"reference": "<string>"
}
],
"payment_note": "<string>",
"reconcile_status": "<string>",
"status": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Lists the payments against the invoice, one page at a time, under
data. Each record has the same fields as an entry of the payment listing.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The invoice's id, such as INV-0001. Not its uuid.
Query Parameters
The most records to return on one page.
Example:
20
The next_cursor value from the previous page, to fetch the page after it.
The field to sort by. Put - in front for descending order, such as -created_on.
Example:
"-created_on"